# indexEntry_s Struct Reference

`#include <rpmdb/header_internal.h>`

Collaboration diagram for indexEntry_s:

[legend]

## Data Fields

struct entryInfo_s | info
void * | data
size_t | length
size_t | rdlen

## Detailed Description

Definition at line 73 of file header_internal.h.

## Field Documentation

void* indexEntry_s::data

Location of tag data.

Definition at line 76 of file header_internal.h.

Referenced by copyEntry(), headerAddEntry(), headerAddI18NString(), headerAppendEntry(), headerFindI18NString(), headerFree(), headerLoad(), headerModifyEntry(), headerRemoveEntry(), headerUnload(), offsetCmp(), and regionSwab().

struct entryInfo_s indexEntry_s::info `[read]`

Description of tag data.

Definition at line 74 of file header_internal.h.

Referenced by copyEntry(), findEntry(), headerAddEntry(), headerAddI18NString(), headerAppendEntry(), headerCheck(), headerLoad(), headerModifyEntry(), headerNext(), headerReload(), headerRemoveEntry(), headerSizeof(), headerUnload(), indexCmp(), intGetEntry(), offsetCmp(), rdSignature(), and regionSwab().

size_t indexEntry_s::length

No. bytes of data.

Definition at line 77 of file header_internal.h.

Referenced by copyEntry(), headerAddEntry(), headerAddI18NString(), headerAppendEntry(), headerFree(), headerLoad(), headerModifyEntry(), headerRemoveEntry(), headerSizeof(), headerUnload(), and regionSwab().

size_t indexEntry_s::rdlen

No. bytes of data in region.

Definition at line 78 of file header_internal.h.

Referenced by copyEntry(), headerLoad(), headerUnload(), and regionSwab().

The documentation for this struct was generated from the following file:

- rpmdb/header_internal.h